/*
 * @Descripttion: 
 * @version: 
 * @Author: wt
 * @Date: 2023-02-03 14:53:32
 * @LastEditors: wt
 * @LastEditTime: 2023-03-02 15:01:44
 */
import { createSvgIconsPlugin } from 'vite-plugin-svg-icons'
import path from 'path'

export function createSvgIcon(isBuild) {
    return createSvgIconsPlugin({
        iconDirs: [path.resolve(process.cwd(), 'src/assets/icons/svg'), path.resolve(process.cwd(), 'src/assets/icons/APP'), path.resolve(process.cwd(), 'src/assets/icons/svg1')],
        symbolId: 'icon-[dir]-[name]',
        svgoOptions: isBuild
    })
}